Bug 784897 - JON 3.0.1 RC#1: CLI doc example 7.2.1 needs more info
JON 3.0.1 RC#1: CLI doc example 7.2.1 needs more info
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
3.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: JON 3.0.1
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-26 10:32 EST by Mike Foley
Modified: 2012-06-21 19:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 19:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2012-01-26 10:32:49 EST
Description of problem:   CLI doc example 7.2.1 needs more info


Version-Release number of selected component (if applicable):  JON 3.0.1 RC#1: 

When I try CLI doc example 7.2.1, it doesn't work ... and there isn't enough information for me to know what to do.

1) I have questions surrounding the resType.  When I try to set that variable as described in the doc, I get errors.
2) The groupName ... is that a variable I need to replace with a string, such as 'MyGroupFromCLIExamples'?




[mfoley@foleymonsterbox1 bin]$ ./rhq-cli.sh -u rhqadmin -p rhqadmin
RHQ - RHQ Enterprise Remote CLI 4.2.0.JON.3.0.1.GA
Remote server version is: 3.0.1.GA (784c8ce:5cde182)
Login successful
rhqadmin@localhost:7080$ var rg = new ResourceGroup(groupName, resType) 
ReferenceError: "groupName" is not defined. (<Unknown source>#1)
var rg = new ResourceGroup(groupName, resType) 
^

rhqadmin@localhost:7080$ var rg = new ResourceGroup('mygroup1', resType)
ReferenceError: "resType" is not defined. (<Unknown source>#1)
var rg = new ResourceGroup('mygroup1', resType) 
^

rhqadmin@localhost:7080$ var x = 1

rhqadmin@localhost:7080$ var resType = ResourceTypeManager.getResourceTypeByNameAndPlugin("JBossAS Server", pluginName);
ReferenceError: "pluginName" is not defined. (<Unknown source>#1)
var resType = ResourceTypeManager.getResourceTypeByNameAndPlugin("JBossAS Server", pluginName); 
^

rhqadmin@localhost:7080$
Comment 1 Mike Foley 2012-01-30 11:26:03 EST
12/30/2012 BZ triage meeting mfoley, ccrouch, loleary, asantos
Comment 2 Deon Ballard 2012-02-23 15:52:52 EST
Big rewrite here:
http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/100/html/Running_JON_Command-Line_Scripts/Control_Grouped_Servers_via_the_CLI.html

Also, I've run all the scripts and (with help from Jay and Ian) they all worked for me.
Comment 3 Deon Ballard 2012-06-21 19:13:46 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.